summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-irc/irssi-xmpp/irssi-xmpp-0.54.ebuild')
-rw-r--r--net-irc/irssi-xmpp/irssi-xmpp-0.54.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/net-irc/irssi-xmpp/irssi-xmpp-0.54.ebuild b/net-irc/irssi-xmpp/irssi-xmpp-0.54.ebuild
new file mode 100644
index 00000000000..78831f46818
--- /dev/null
+++ b/net-irc/irssi-xmpp/irssi-xmpp-0.54.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="An irssi plugin providing Jabber/XMPP support"
+HOMEPAGE="https://cybione.org/~irssi-xmpp/"
+SRC_URI="https://github.com/cdidier/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ net-irc/irssi
+ net-libs/loudmouth
+"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -e "s/{MAKE} doc-install/{MAKE}/" \
+ -i Makefile || die #322355
+}
+
+src_compile() {
+ emake PREFIX=/usr
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr IRSSI_LIB=/usr/$(get_libdir)/irssi install
+ dodoc README.md NEWS TODO docs/*
+}